SYRTHES-PP(1)

NAME
syrthes-pp - pre-processor for SYRTHES parallel version

SYNOPSIS
syrthes-pp [-h] ( -n nb_part | -e nb_elt ) -m maillage [-o maillage_decoupe]

DESCRIPTION
Split the initial mesh of a SYRTHES case in preparation of a parallel processing.

OPTIONS

-h  help

-v  create an Ensight ASCII vizualisation file with the partitions

-b  create an Ensight gold vizualisation file with the partitions

-n nb_part
    number of partions to create

-e nb_elt
    maximum number of element per partition

-l number
    read of number 'domain' files

-f prefixe
    prefix of the files (dom.1 dom.2 dom.3 ...

-m mesh
    name of the initial mesh file (.syr)

-o nompart
    prefix of the destination files

-d syrthes_data.syd
    name of the SYRTHES data file
    only if calculation needs periodicity or contact resistances

--toolpart metis
    mesh partitioning thanks to METIS 5 --toolpart scotch mesh partitioning thanks to SCOTCH (default)

EXAMPLES

    pp_syrthes -n 3 -m carre.syr -o carre

or

    pp_syrthes -n 3 -m carre.syr -d syrthes.data -o carre

results :

    carre_00003part00000.syr
    carre_00003part00001.syr
    carre_00003part00002.syr

AUTHOR
Syrthes was written by EDF S.A. <syrthes-support@edf.fr>

This manual page was written by Gilles Filippini <gilles.filippini@free.fr> for Debian, from the syrthes-pp help message.